Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network64.64.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
64.64.0.0
Broadcast address
64.71.255.255
First usable
64.64.0.1
Last usable
64.71.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 40400000 · Integer 1077936128 to 1078460415
Reverse DNS zones
64.64.in-addr.arpa
65.64.in-addr.arpa
66.64.in-addr.arpa
67.64.in-addr.arpa
68.64.in-addr.arpa
69.64.in-addr.arpa
70.64.in-addr.arpa
71.64.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000000.01000000.00000000.0000000064.64.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network01000000.01000000.00000000.0000000064.64.0.0
Broadcast01000000.01000111.11111111.1111111164.71.255.255
Split into smaller subnets/25

64.64.0.0/13 makes 4,096 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
164.64.0.0/2564.64.0.1 to 64.64.0.12664.64.0.127126
264.64.0.128/2564.64.0.129 to 64.64.0.25464.64.0.255126
364.64.1.0/2564.64.1.1 to 64.64.1.12664.64.1.127126
464.64.1.128/2564.64.1.129 to 64.64.1.25464.64.1.255126
564.64.2.0/2564.64.2.1 to 64.64.2.12664.64.2.127126
664.64.2.128/2564.64.2.129 to 64.64.2.25464.64.2.255126
764.64.3.0/2564.64.3.1 to 64.64.3.12664.64.3.127126
864.64.3.128/2564.64.3.129 to 64.64.3.25464.64.3.255126
964.64.4.0/2564.64.4.1 to 64.64.4.12664.64.4.127126
1064.64.4.128/2564.64.4.129 to 64.64.4.25464.64.4.255126
1164.64.5.0/2564.64.5.1 to 64.64.5.12664.64.5.127126
1264.64.5.128/2564.64.5.129 to 64.64.5.25464.64.5.255126
1364.64.6.0/2564.64.6.1 to 64.64.6.12664.64.6.127126
1464.64.6.128/2564.64.6.129 to 64.64.6.25464.64.6.255126
1564.64.7.0/2564.64.7.1 to 64.64.7.12664.64.7.127126
1664.64.7.128/2564.64.7.129 to 64.64.7.25464.64.7.255126
1764.64.8.0/2564.64.8.1 to 64.64.8.12664.64.8.127126
1864.64.8.128/2564.64.8.129 to 64.64.8.25464.64.8.255126
1964.64.9.0/2564.64.9.1 to 64.64.9.12664.64.9.127126
2064.64.9.128/2564.64.9.129 to 64.64.9.25464.64.9.255126
2164.64.10.0/2564.64.10.1 to 64.64.10.12664.64.10.127126
2264.64.10.128/2564.64.10.129 to 64.64.10.25464.64.10.255126
2364.64.11.0/2564.64.11.1 to 64.64.11.12664.64.11.127126
2464.64.11.128/2564.64.11.129 to 64.64.11.25464.64.11.255126
2564.64.12.0/2564.64.12.1 to 64.64.12.12664.64.12.127126
2664.64.12.128/2564.64.12.129 to 64.64.12.25464.64.12.255126
2764.64.13.0/2564.64.13.1 to 64.64.13.12664.64.13.127126
2864.64.13.128/2564.64.13.129 to 64.64.13.25464.64.13.255126
2964.64.14.0/2564.64.14.1 to 64.64.14.12664.64.14.127126
3064.64.14.128/2564.64.14.129 to 64.64.14.25464.64.14.255126
3164.64.15.0/2564.64.15.1 to 64.64.15.12664.64.15.127126
3264.64.15.128/2564.64.15.129 to 64.64.15.25464.64.15.255126
3364.64.16.0/2564.64.16.1 to 64.64.16.12664.64.16.127126
3464.64.16.128/2564.64.16.129 to 64.64.16.25464.64.16.255126
3564.64.17.0/2564.64.17.1 to 64.64.17.12664.64.17.127126
3664.64.17.128/2564.64.17.129 to 64.64.17.25464.64.17.255126
3764.64.18.0/2564.64.18.1 to 64.64.18.12664.64.18.127126
3864.64.18.128/2564.64.18.129 to 64.64.18.25464.64.18.255126
3964.64.19.0/2564.64.19.1 to 64.64.19.12664.64.19.127126
4064.64.19.128/2564.64.19.129 to 64.64.19.25464.64.19.255126
4164.64.20.0/2564.64.20.1 to 64.64.20.12664.64.20.127126
4264.64.20.128/2564.64.20.129 to 64.64.20.25464.64.20.255126
4364.64.21.0/2564.64.21.1 to 64.64.21.12664.64.21.127126
4464.64.21.128/2564.64.21.129 to 64.64.21.25464.64.21.255126
4564.64.22.0/2564.64.22.1 to 64.64.22.12664.64.22.127126
4664.64.22.128/2564.64.22.129 to 64.64.22.25464.64.22.255126
4764.64.23.0/2564.64.23.1 to 64.64.23.12664.64.23.127126
4864.64.23.128/2564.64.23.129 to 64.64.23.25464.64.23.255126
4964.64.24.0/2564.64.24.1 to 64.64.24.12664.64.24.127126
5064.64.24.128/2564.64.24.129 to 64.64.24.25464.64.24.255126
5164.64.25.0/2564.64.25.1 to 64.64.25.12664.64.25.127126
5264.64.25.128/2564.64.25.129 to 64.64.25.25464.64.25.255126
5364.64.26.0/2564.64.26.1 to 64.64.26.12664.64.26.127126
5464.64.26.128/2564.64.26.129 to 64.64.26.25464.64.26.255126
5564.64.27.0/2564.64.27.1 to 64.64.27.12664.64.27.127126
5664.64.27.128/2564.64.27.129 to 64.64.27.25464.64.27.255126
5764.64.28.0/2564.64.28.1 to 64.64.28.12664.64.28.127126
5864.64.28.128/2564.64.28.129 to 64.64.28.25464.64.28.255126
5964.64.29.0/2564.64.29.1 to 64.64.29.12664.64.29.127126
6064.64.29.128/2564.64.29.129 to 64.64.29.25464.64.29.255126
6164.64.30.0/2564.64.30.1 to 64.64.30.12664.64.30.127126
6264.64.30.128/2564.64.30.129 to 64.64.30.25464.64.30.255126
6364.64.31.0/2564.64.31.1 to 64.64.31.12664.64.31.127126
6464.64.31.128/2564.64.31.129 to 64.64.31.25464.64.31.255126
6564.64.32.0/2564.64.32.1 to 64.64.32.12664.64.32.127126
6664.64.32.128/2564.64.32.129 to 64.64.32.25464.64.32.255126
6764.64.33.0/2564.64.33.1 to 64.64.33.12664.64.33.127126
6864.64.33.128/2564.64.33.129 to 64.64.33.25464.64.33.255126
6964.64.34.0/2564.64.34.1 to 64.64.34.12664.64.34.127126
7064.64.34.128/2564.64.34.129 to 64.64.34.25464.64.34.255126
7164.64.35.0/2564.64.35.1 to 64.64.35.12664.64.35.127126
7264.64.35.128/2564.64.35.129 to 64.64.35.25464.64.35.255126
7364.64.36.0/2564.64.36.1 to 64.64.36.12664.64.36.127126
7464.64.36.128/2564.64.36.129 to 64.64.36.25464.64.36.255126
7564.64.37.0/2564.64.37.1 to 64.64.37.12664.64.37.127126
7664.64.37.128/2564.64.37.129 to 64.64.37.25464.64.37.255126
7764.64.38.0/2564.64.38.1 to 64.64.38.12664.64.38.127126
7864.64.38.128/2564.64.38.129 to 64.64.38.25464.64.38.255126
7964.64.39.0/2564.64.39.1 to 64.64.39.12664.64.39.127126
8064.64.39.128/2564.64.39.129 to 64.64.39.25464.64.39.255126
8164.64.40.0/2564.64.40.1 to 64.64.40.12664.64.40.127126
8264.64.40.128/2564.64.40.129 to 64.64.40.25464.64.40.255126
8364.64.41.0/2564.64.41.1 to 64.64.41.12664.64.41.127126
8464.64.41.128/2564.64.41.129 to 64.64.41.25464.64.41.255126
8564.64.42.0/2564.64.42.1 to 64.64.42.12664.64.42.127126
8664.64.42.128/2564.64.42.129 to 64.64.42.25464.64.42.255126
8764.64.43.0/2564.64.43.1 to 64.64.43.12664.64.43.127126
8864.64.43.128/2564.64.43.129 to 64.64.43.25464.64.43.255126
8964.64.44.0/2564.64.44.1 to 64.64.44.12664.64.44.127126
9064.64.44.128/2564.64.44.129 to 64.64.44.25464.64.44.255126
9164.64.45.0/2564.64.45.1 to 64.64.45.12664.64.45.127126
9264.64.45.128/2564.64.45.129 to 64.64.45.25464.64.45.255126
9364.64.46.0/2564.64.46.1 to 64.64.46.12664.64.46.127126
9464.64.46.128/2564.64.46.129 to 64.64.46.25464.64.46.255126
9564.64.47.0/2564.64.47.1 to 64.64.47.12664.64.47.127126
9664.64.47.128/2564.64.47.129 to 64.64.47.25464.64.47.255126
9764.64.48.0/2564.64.48.1 to 64.64.48.12664.64.48.127126
9864.64.48.128/2564.64.48.129 to 64.64.48.25464.64.48.255126
9964.64.49.0/2564.64.49.1 to 64.64.49.12664.64.49.127126
10064.64.49.128/2564.64.49.129 to 64.64.49.25464.64.49.255126
10164.64.50.0/2564.64.50.1 to 64.64.50.12664.64.50.127126
10264.64.50.128/2564.64.50.129 to 64.64.50.25464.64.50.255126
10364.64.51.0/2564.64.51.1 to 64.64.51.12664.64.51.127126
10464.64.51.128/2564.64.51.129 to 64.64.51.25464.64.51.255126
10564.64.52.0/2564.64.52.1 to 64.64.52.12664.64.52.127126
10664.64.52.128/2564.64.52.129 to 64.64.52.25464.64.52.255126
10764.64.53.0/2564.64.53.1 to 64.64.53.12664.64.53.127126
10864.64.53.128/2564.64.53.129 to 64.64.53.25464.64.53.255126
10964.64.54.0/2564.64.54.1 to 64.64.54.12664.64.54.127126
11064.64.54.128/2564.64.54.129 to 64.64.54.25464.64.54.255126
11164.64.55.0/2564.64.55.1 to 64.64.55.12664.64.55.127126
11264.64.55.128/2564.64.55.129 to 64.64.55.25464.64.55.255126
11364.64.56.0/2564.64.56.1 to 64.64.56.12664.64.56.127126
11464.64.56.128/2564.64.56.129 to 64.64.56.25464.64.56.255126
11564.64.57.0/2564.64.57.1 to 64.64.57.12664.64.57.127126
11664.64.57.128/2564.64.57.129 to 64.64.57.25464.64.57.255126
11764.64.58.0/2564.64.58.1 to 64.64.58.12664.64.58.127126
11864.64.58.128/2564.64.58.129 to 64.64.58.25464.64.58.255126
11964.64.59.0/2564.64.59.1 to 64.64.59.12664.64.59.127126
12064.64.59.128/2564.64.59.129 to 64.64.59.25464.64.59.255126
12164.64.60.0/2564.64.60.1 to 64.64.60.12664.64.60.127126
12264.64.60.128/2564.64.60.129 to 64.64.60.25464.64.60.255126
12364.64.61.0/2564.64.61.1 to 64.64.61.12664.64.61.127126
12464.64.61.128/2564.64.61.129 to 64.64.61.25464.64.61.255126
12564.64.62.0/2564.64.62.1 to 64.64.62.12664.64.62.127126
12664.64.62.128/2564.64.62.129 to 64.64.62.25464.64.62.255126
12764.64.63.0/2564.64.63.1 to 64.64.63.12664.64.63.127126
12864.64.63.128/2564.64.63.129 to 64.64.63.25464.64.63.255126
12964.64.64.0/2564.64.64.1 to 64.64.64.12664.64.64.127126
13064.64.64.128/2564.64.64.129 to 64.64.64.25464.64.64.255126
13164.64.65.0/2564.64.65.1 to 64.64.65.12664.64.65.127126
13264.64.65.128/2564.64.65.129 to 64.64.65.25464.64.65.255126
13364.64.66.0/2564.64.66.1 to 64.64.66.12664.64.66.127126
13464.64.66.128/2564.64.66.129 to 64.64.66.25464.64.66.255126
13564.64.67.0/2564.64.67.1 to 64.64.67.12664.64.67.127126
13664.64.67.128/2564.64.67.129 to 64.64.67.25464.64.67.255126
13764.64.68.0/2564.64.68.1 to 64.64.68.12664.64.68.127126
13864.64.68.128/2564.64.68.129 to 64.64.68.25464.64.68.255126
13964.64.69.0/2564.64.69.1 to 64.64.69.12664.64.69.127126
14064.64.69.128/2564.64.69.129 to 64.64.69.25464.64.69.255126
14164.64.70.0/2564.64.70.1 to 64.64.70.12664.64.70.127126
14264.64.70.128/2564.64.70.129 to 64.64.70.25464.64.70.255126
14364.64.71.0/2564.64.71.1 to 64.64.71.12664.64.71.127126
14464.64.71.128/2564.64.71.129 to 64.64.71.25464.64.71.255126
14564.64.72.0/2564.64.72.1 to 64.64.72.12664.64.72.127126
14664.64.72.128/2564.64.72.129 to 64.64.72.25464.64.72.255126
14764.64.73.0/2564.64.73.1 to 64.64.73.12664.64.73.127126
14864.64.73.128/2564.64.73.129 to 64.64.73.25464.64.73.255126
14964.64.74.0/2564.64.74.1 to 64.64.74.12664.64.74.127126
15064.64.74.128/2564.64.74.129 to 64.64.74.25464.64.74.255126
15164.64.75.0/2564.64.75.1 to 64.64.75.12664.64.75.127126
15264.64.75.128/2564.64.75.129 to 64.64.75.25464.64.75.255126
15364.64.76.0/2564.64.76.1 to 64.64.76.12664.64.76.127126
15464.64.76.128/2564.64.76.129 to 64.64.76.25464.64.76.255126
15564.64.77.0/2564.64.77.1 to 64.64.77.12664.64.77.127126
15664.64.77.128/2564.64.77.129 to 64.64.77.25464.64.77.255126
15764.64.78.0/2564.64.78.1 to 64.64.78.12664.64.78.127126
15864.64.78.128/2564.64.78.129 to 64.64.78.25464.64.78.255126
15964.64.79.0/2564.64.79.1 to 64.64.79.12664.64.79.127126
16064.64.79.128/2564.64.79.129 to 64.64.79.25464.64.79.255126
16164.64.80.0/2564.64.80.1 to 64.64.80.12664.64.80.127126
16264.64.80.128/2564.64.80.129 to 64.64.80.25464.64.80.255126
16364.64.81.0/2564.64.81.1 to 64.64.81.12664.64.81.127126
16464.64.81.128/2564.64.81.129 to 64.64.81.25464.64.81.255126
16564.64.82.0/2564.64.82.1 to 64.64.82.12664.64.82.127126
16664.64.82.128/2564.64.82.129 to 64.64.82.25464.64.82.255126
16764.64.83.0/2564.64.83.1 to 64.64.83.12664.64.83.127126
16864.64.83.128/2564.64.83.129 to 64.64.83.25464.64.83.255126
16964.64.84.0/2564.64.84.1 to 64.64.84.12664.64.84.127126
17064.64.84.128/2564.64.84.129 to 64.64.84.25464.64.84.255126
17164.64.85.0/2564.64.85.1 to 64.64.85.12664.64.85.127126
17264.64.85.128/2564.64.85.129 to 64.64.85.25464.64.85.255126
17364.64.86.0/2564.64.86.1 to 64.64.86.12664.64.86.127126
17464.64.86.128/2564.64.86.129 to 64.64.86.25464.64.86.255126
17564.64.87.0/2564.64.87.1 to 64.64.87.12664.64.87.127126
17664.64.87.128/2564.64.87.129 to 64.64.87.25464.64.87.255126
17764.64.88.0/2564.64.88.1 to 64.64.88.12664.64.88.127126
17864.64.88.128/2564.64.88.129 to 64.64.88.25464.64.88.255126
17964.64.89.0/2564.64.89.1 to 64.64.89.12664.64.89.127126
18064.64.89.128/2564.64.89.129 to 64.64.89.25464.64.89.255126
18164.64.90.0/2564.64.90.1 to 64.64.90.12664.64.90.127126
18264.64.90.128/2564.64.90.129 to 64.64.90.25464.64.90.255126
18364.64.91.0/2564.64.91.1 to 64.64.91.12664.64.91.127126
18464.64.91.128/2564.64.91.129 to 64.64.91.25464.64.91.255126
18564.64.92.0/2564.64.92.1 to 64.64.92.12664.64.92.127126
18664.64.92.128/2564.64.92.129 to 64.64.92.25464.64.92.255126
18764.64.93.0/2564.64.93.1 to 64.64.93.12664.64.93.127126
18864.64.93.128/2564.64.93.129 to 64.64.93.25464.64.93.255126
18964.64.94.0/2564.64.94.1 to 64.64.94.12664.64.94.127126
19064.64.94.128/2564.64.94.129 to 64.64.94.25464.64.94.255126
19164.64.95.0/2564.64.95.1 to 64.64.95.12664.64.95.127126
19264.64.95.128/2564.64.95.129 to 64.64.95.25464.64.95.255126
19364.64.96.0/2564.64.96.1 to 64.64.96.12664.64.96.127126
19464.64.96.128/2564.64.96.129 to 64.64.96.25464.64.96.255126
19564.64.97.0/2564.64.97.1 to 64.64.97.12664.64.97.127126
19664.64.97.128/2564.64.97.129 to 64.64.97.25464.64.97.255126
19764.64.98.0/2564.64.98.1 to 64.64.98.12664.64.98.127126
19864.64.98.128/2564.64.98.129 to 64.64.98.25464.64.98.255126
19964.64.99.0/2564.64.99.1 to 64.64.99.12664.64.99.127126
20064.64.99.128/2564.64.99.129 to 64.64.99.25464.64.99.255126
20164.64.100.0/2564.64.100.1 to 64.64.100.12664.64.100.127126
20264.64.100.128/2564.64.100.129 to 64.64.100.25464.64.100.255126
20364.64.101.0/2564.64.101.1 to 64.64.101.12664.64.101.127126
20464.64.101.128/2564.64.101.129 to 64.64.101.25464.64.101.255126
20564.64.102.0/2564.64.102.1 to 64.64.102.12664.64.102.127126
20664.64.102.128/2564.64.102.129 to 64.64.102.25464.64.102.255126
20764.64.103.0/2564.64.103.1 to 64.64.103.12664.64.103.127126
20864.64.103.128/2564.64.103.129 to 64.64.103.25464.64.103.255126
20964.64.104.0/2564.64.104.1 to 64.64.104.12664.64.104.127126
21064.64.104.128/2564.64.104.129 to 64.64.104.25464.64.104.255126
21164.64.105.0/2564.64.105.1 to 64.64.105.12664.64.105.127126
21264.64.105.128/2564.64.105.129 to 64.64.105.25464.64.105.255126
21364.64.106.0/2564.64.106.1 to 64.64.106.12664.64.106.127126
21464.64.106.128/2564.64.106.129 to 64.64.106.25464.64.106.255126
21564.64.107.0/2564.64.107.1 to 64.64.107.12664.64.107.127126
21664.64.107.128/2564.64.107.129 to 64.64.107.25464.64.107.255126
21764.64.108.0/2564.64.108.1 to 64.64.108.12664.64.108.127126
21864.64.108.128/2564.64.108.129 to 64.64.108.25464.64.108.255126
21964.64.109.0/2564.64.109.1 to 64.64.109.12664.64.109.127126
22064.64.109.128/2564.64.109.129 to 64.64.109.25464.64.109.255126
22164.64.110.0/2564.64.110.1 to 64.64.110.12664.64.110.127126
22264.64.110.128/2564.64.110.129 to 64.64.110.25464.64.110.255126
22364.64.111.0/2564.64.111.1 to 64.64.111.12664.64.111.127126
22464.64.111.128/2564.64.111.129 to 64.64.111.25464.64.111.255126
22564.64.112.0/2564.64.112.1 to 64.64.112.12664.64.112.127126
22664.64.112.128/2564.64.112.129 to 64.64.112.25464.64.112.255126
22764.64.113.0/2564.64.113.1 to 64.64.113.12664.64.113.127126
22864.64.113.128/2564.64.113.129 to 64.64.113.25464.64.113.255126
22964.64.114.0/2564.64.114.1 to 64.64.114.12664.64.114.127126
23064.64.114.128/2564.64.114.129 to 64.64.114.25464.64.114.255126
23164.64.115.0/2564.64.115.1 to 64.64.115.12664.64.115.127126
23264.64.115.128/2564.64.115.129 to 64.64.115.25464.64.115.255126
23364.64.116.0/2564.64.116.1 to 64.64.116.12664.64.116.127126
23464.64.116.128/2564.64.116.129 to 64.64.116.25464.64.116.255126
23564.64.117.0/2564.64.117.1 to 64.64.117.12664.64.117.127126
23664.64.117.128/2564.64.117.129 to 64.64.117.25464.64.117.255126
23764.64.118.0/2564.64.118.1 to 64.64.118.12664.64.118.127126
23864.64.118.128/2564.64.118.129 to 64.64.118.25464.64.118.255126
23964.64.119.0/2564.64.119.1 to 64.64.119.12664.64.119.127126
24064.64.119.128/2564.64.119.129 to 64.64.119.25464.64.119.255126
24164.64.120.0/2564.64.120.1 to 64.64.120.12664.64.120.127126
24264.64.120.128/2564.64.120.129 to 64.64.120.25464.64.120.255126
24364.64.121.0/2564.64.121.1 to 64.64.121.12664.64.121.127126
24464.64.121.128/2564.64.121.129 to 64.64.121.25464.64.121.255126
24564.64.122.0/2564.64.122.1 to 64.64.122.12664.64.122.127126
24664.64.122.128/2564.64.122.129 to 64.64.122.25464.64.122.255126
24764.64.123.0/2564.64.123.1 to 64.64.123.12664.64.123.127126
24864.64.123.128/2564.64.123.129 to 64.64.123.25464.64.123.255126
24964.64.124.0/2564.64.124.1 to 64.64.124.12664.64.124.127126
25064.64.124.128/2564.64.124.129 to 64.64.124.25464.64.124.255126
25164.64.125.0/2564.64.125.1 to 64.64.125.12664.64.125.127126
25264.64.125.128/2564.64.125.129 to 64.64.125.25464.64.125.255126
25364.64.126.0/2564.64.126.1 to 64.64.126.12664.64.126.127126
25464.64.126.128/2564.64.126.129 to 64.64.126.25464.64.126.255126
25564.64.127.0/2564.64.127.1 to 64.64.127.12664.64.127.127126
25664.64.127.128/2564.64.127.129 to 64.64.127.25464.64.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses